<template>
  <div class="kit specifying search">
    <div
      class="results"
      v-if="showBlock">
      <template v-if="results.length>0">
        <div class="caption">Уточните выбор</div>
        <div class="list">
          <flink
            :href="href4Item(item)"
            class="result"
            v-for="item in results"
            :key="item.id">
            <div class="attribute brand">{{ item.manufacturer.brand }}</div>
            <div class="attribute number">
              <div class="ellipsis">
                <span class="mobilshow">&nbsp;</span>{{ item.vendor_code }}
              </div>
            </div>
            <div class="attribute name">{{ item.name }}</div>
          </flink>
        </div>
      </template>
      <template v-else>
        <div class="caption">Ничего не найдено</div>
      </template>
    </div>
  </div>
</template>

<script>
import { get } from 'lodash-es';

import mapFilters from '~/assets/js/helpers/map-filters';

export default {
  name: 'SpecifyingSearch',
  props: {
    results: {
      type: Array,
      default() { return []; },

    },
    showBlock: {
      type: Boolean,
      default: false,
    },
  },
  methods: {
    ...mapFilters(['brandSlug', 'vendorCodeSlug']),
    href4Item(item) {
      const url = ['/poisk-po-nomeru'];
      url.push(this.brandSlug(get(item, 'manufacturer.brand', '')));
      url.push(this.vendorCodeSlug(item.vendor_code));
      return url.join('/');
    },
  },
};
</script>

<style scoped lang="scss">
  .ellipsis {
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
  }
  .kit.specifying.search {
    display: block;
    .results:not(.block) {
      width: 100%;
      line-height: 1.3;
      color: #4a4a4a;
      background: #fff;

      .result {
        display: flex;
        align-items: stretch;
        flex-flow: row nowrap;
        color: #4a4a4a;
        .attribute {
          margin: 0;
          font-weight: 500;
        }
      }
    }
    @media only screen and (min-width: 1025px) {
      max-width: 44rem;
      margin: .25rem auto 0;
      padding: 0 1.75rem;
      .results:not(.block) {
        font-size: .8125rem;
        border-radius: .125rem;
        max-height: 14rem;
        overflow-y: auto;
        box-shadow: 0 0.0625rem 0.3125rem 0 rgba(96, 126, 146, 0.28);
        .caption {
          padding: .5rem 1rem;
          border-bottom: 1px solid #dbe4e9;
          font-weight: 500;
          text-align: left;
        }
        .result {
          border-bottom: 1px solid #dbe4e9;
          padding: 0.125rem 0;
          &:last-child {
            border-bottom: none;
          }
          .attribute {
            flex: 1 1 auto;
            display: inline-flex;
            align-items: center;
            padding: .5rem 1rem;
            margin: 0;
            border-right: 1px solid #dbe4e9;
            &.brand {
              width: 27%;
              min-width: 27%;
              max-width: 27%;
            }
            &.number {
              width: 22%;
              min-width: 22%;
              max-width: 22%;
            }
            &.name {
              word-break: break-all;
            }
            &:last-child {
              border-right: none;
            }
            &.logotype {
              display: flex;
              width: 4rem;
              min-width: 4rem;
              max-width: 4rem;
              position: relative;
              padding: 0.25rem 0.5rem;
            }
            .logotype.image {
              width: 100%;
              height: 100%;
              position: relative;
              display: inline-flex;
              justify-content: center;
              align-items: center;
              img {
                max-width: 3.125rem;
                max-height: 1.5625rem;
              }
            }
          }

          &:hover {
            background: #dbe4e9;
            color: #272727;
            .attribute {
              border-right: 1px solid darken(#dbe4e9, 10%);
              &:last-child {
                border-right: none;
              }
            }
          }
        }
      }
    }
    @media only screen and (max-width: 1024px) {
      width: 100%;
      margin: 0;
      .results:not(.block) {
        .caption {
          width: 100%;
          min-height: 3rem;
          padding: 1rem 1.5rem;
          border-bottom: 1px solid #9badb9;
          font-size: 1.125rem;
          line-height: 1.2;
          font-weight: 700;
        }
        .list {
          padding: 0.375rem 0;
          background-color: #e2e2e2;
        }
        .result {
          flex-flow: row wrap;
          justify-content: flex-start;
          margin: 0 0 0.375rem;
          padding: 0.75rem 1.5rem;
          background-color: #fff;
          &:last-child {
            margin-bottom: 0;
          }
          .attribute {
            font-size: 0.875rem;
            &.logotype {
              display: none;
            }
            &.name {
              order: 1;
              display: block;
              width: 100%;
              max-width: 100%;
              overflow: hidden;
              text-overflow: ellipsis;
              white-space: nowrap;
              padding-bottom: 0.25rem;
              font-size: 1.125rem;
              color: #4272a4;
              text-decoration: underline;
            }
            &.brand {
              order: 2;
              display: inline;
              &:after {
                content: ',';
              }
            }
            &.number {
              order: 3;
              display: inline;
            }
          }
        }

      }
    }
  }


</style>
